/** 
 * SpeechUI 资源处理模块
 * @module speechui/common/resource
 * @date 2013/06/09
 */
define(function (require, exports) {

    var $ = require('jquery');

    /**
    * 初始化SpeechUI
    * @param {string} id 卡片ID
    * @return {JSON | null} 卡片描述信息
    */
    exports.getCardInfo = function (id) {

    };

    /**
    * 获取资源内容
    * @param {string} url 资源url
    * @return {string} 资源内容
    */
    exports.getUrlContent = function (url) {

        // TODO:处理本地资源读取
        
        var content = '';
        $.ajax(url, {
            async: false,
            success: function (result) {
                content = result;
            },
            error: function () {
                throw new Error("get " + url + " resource error");
            }
        });    
        return content;
    };

    /**
     *
     * 获取图片Base64数据
     * @param {string} imagePath  图片路径
     * @return {string} 图片Base64数据
     */
    exports.getImageBase64 = function(imagePath){

    }
});